package cz.muni.fi.pb162.runtimeexception;

/**
 * MissingNameException je príklad behovej výnimky
 * Ideálne by mala trieda výnimky obsahovať 4 konštruktory
 *       - bezparametricky
 *       - s parametrom typu String (message)
 *       - s parametrom typu Throwable (cause)
 *       - s parametrom typu String a Throwable
 */
public class MissingNameException extends RuntimeException {
    public MissingNameException() {}

    public MissingNameException(String message) {
        super(message);
    }

    // typ throwable je nadtriedou všetkých výnimiek v jazyku Java
    // konštruktor výnimky, ktorý berie ako parameter objekt inej výnimky je využitý pri reťazení výnimiek
    public MissingNameException(Throwable cause) {
        super(cause);
    }

    public MissingNameException(String message, Throwable cause) {
        super(message, cause);
    }
}
